Last Comment Bug 1420060 - Upgrade Firefox 59 to NSS 3.35
: Upgrade Firefox 59 to NSS 3.35
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: Unspecified Unspecified
P1 normal (vote)
: mozilla59
Assigned To: Franziskus Kiefer [:franziskus] (Away until October 2019)
:
: Dana Keeler (she/her) (use needinfo) (:keeler for reviews)
Mentors:
: 1405268 (view as bug list)
Depends on: 1419721 1446331
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-22 22:42 PST by Franziskus Kiefer [:franziskus] (Away until October 2019)
Modified: 2018-03-21 09:30 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Bug 1420060 - FIPS can no longer be toggled in Firefox with the builtin NSS, r=ttaubert (45 bytes, text/x-phabricator-request)
2017-11-24 00:02 PST, Phabricator Automation
ttaubert: review+
Details | Review

Description User image Franziskus Kiefer [:franziskus] (Away until October 2019) 2017-11-22 22:42:47 PST
Tracking NSS 3.35 for Firefox 59.
Comment 1 User image Franziskus Kiefer [:franziskus] (Away until October 2019) 2017-11-22 23:21:50 PST
https://treeherder.mozilla.org/#/jobs?repo=try&revision=69b01777bfd8d43f4c46fb07638f58dd5b1a496c
Comment 2 User image Pulsebot 2017-11-23 01:33:35 PST
Pushed by franziskuskiefer@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/40f90a8fd17d
land NSS ff7594d3dc94 UPGRADE_NSS_RELEASE, r=me
Comment 3 User image Narcis Beleuzu [:NarcisB] 2017-11-23 04:13:16 PST
Backe out for xpcshell failures on test_pkcs11_module.js

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=40f90a8fd17ddc13f6c7100541c74d4df51917f5&filter-classifiedState=unclassified&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=runnable

https://treeherder.mozilla.org/logviewer.html#?job_id=147069050&repo=mozilla-inbound&lineNumber=10866
10:58:33     INFO -  TEST-START | security/manager/ssl/tests/unit/test_pkcs11_module.js
10:58:33  WARNING -  TEST-UNEXPECTED-FAIL | security/manager/ssl/tests/unit/test_pkcs11_module.js | xpcshell return code: 0
10:58:33     INFO -  TEST-INFO took 342ms
Comment 4 User image Pulsebot 2017-11-23 04:19:42 PST
Backout by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4c669cc6ea52
Backed out 1 changesets for xpcshell failures on test_pkcs11_module.js UPGRADE_NSS_RELEASE r=backout on a CLOSED TREE
Comment 5 User image Franziskus Kiefer [:franziskus] (Away until October 2019) 2017-11-23 04:34:27 PST
Sorry about that. We changed something in NSS and have to adapt Firefox tests accordingly.
Comment 6 User image Phabricator Automation 2017-11-24 00:03:57 PST
Comment on attachment 8931594 [details]
Bug 1420060 - FIPS can no longer be toggled in Firefox with the builtin NSS, r=ttaubert

Tim Taubert [:ttaubert] has approved the revision.

https://phabricator.services.mozilla.com/D282#6845
Comment 7 User image Franziskus Kiefer [:franziskus] (Away until October 2019) 2017-11-24 00:33:14 PST
https://treeherder.mozilla.org/#/jobs?repo=try&revision=b5c62c9151a8153f117bcb2e88f66330b0136580
Comment 8 User image Pulsebot 2017-11-24 03:22:27 PST
Pushed by franziskuskiefer@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/0c40802096cd
land NSS ceb8b9290b35 UPGRADE_NSS_RELEASE, r=me
https://hg.mozilla.org/integration/mozilla-inbound/rev/45e4387bc585
FIPS can no longer be toggled in Firefox with the builtin NSS, r=ttaubert
Comment 10 User image Kai Engert (:kaie:) 2017-12-19 04:55:30 PST
Franziskus, is there a reason that mozilla-central still uses an NSS snapshot from Nov 24 ?

It would be helpful to have a newer snapshot for bug 1426102.
Comment 11 User image Pulsebot 2017-12-19 06:26:55 PST
Pushed by franziskuskiefer@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ba3a2c41b4b9
land NSS 04fc9a90997b UPGRADE_NSS_RELEASE, r=me
Comment 12 User image Eliza Balazs [:ebalazs_] 2017-12-20 05:16:24 PST
https://hg.mozilla.org/mozilla-central/rev/ba3a2c41b4b9
Comment 13 User image Petr Sumbera 2017-12-21 02:27:57 PST
*** Bug 1405268 has been marked as a duplicate of this bug. ***
Comment 14 User image Pulsebot 2018-01-11 05:09:34 PST
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/fb3c27bdee46
NSS_3_35_BETA1, r=franziskus
Comment 15 User image Pulsebot 2018-01-11 05:41:45 PST
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/7ce1e0ca10e1
trivial bustage fix, export new NSS APIs in Firefox' specific API export list
Comment 16 User image Masatoshi Kimura [:emk] 2018-01-11 05:56:23 PST
Added symbols should be enclosed with #ifdef XP_WIN and #endif.
Comment 17 User image Pulsebot 2018-01-11 06:03:54 PST
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/7604bcd50b63
additional bustage fix as suggested by Masatoshi Kimura, r=kaie, CLOSED TREE
Comment 18 User image Kai Engert (:kaie:) 2018-01-11 06:04:31 PST
(In reply to Masatoshi Kimura [:emk] from comment #16)
> Added symbols should be enclosed with #ifdef XP_WIN and #endif.

thanks a lot, this was very helpful. Checked in.
Comment 20 User image Masatoshi Kimura [:emk] 2018-01-11 09:27:19 PST
See bug 1428538 comment #11. I think this backout was false positive.
Comment 21 User image Pulsebot 2018-01-12 02:22:51 PST
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/92dcb99abd05
NSS_3_35_BETA1, r=franziskus
https://hg.mozilla.org/integration/mozilla-inbound/rev/ddfff454c810
export new NSS APIs in Firefox' specific API export list, r=franziskus
https://hg.mozilla.org/integration/mozilla-inbound/rev/35dcf8417877
restrict export of symbols to Windows, suggested by Masatoshi Kimura, r=kaie
Comment 22 User image Kai Engert (:kaie:) 2018-01-12 02:24:25 PST
Relanded as Franziskus asked me to, based on the results of the try run from bug 1428538 comment 12.
Comment 24 User image Pulsebot 2018-01-18 06:33:12 PST
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/67254794a2e0
uplift NSS_3_35_RTM, no code change, only version number. Require version 3.35 for building. r=me
Comment 25 User image Andrei Ciure[:andrei_ciure] 2018-01-18 14:04:53 PST
https://hg.mozilla.org/mozilla-central/rev/67254794a2e0

Note You need to log in before you can comment on or make changes to this bug.